"use strict";

// Теоретичні питання
//  1. Як можна оголосити змінну у Javascript?

1. за допомогою тегів: var, const, let;
 
//  2. Що таке рядок (string) і як його створити (перерахуйте всі можливі варіанти)?

2. string це текстовий рядок(послідовність символів), моде включати в себе: цифри, букви, знаки, спеціальні символи, пропуски. 
Створити рядок можливо за допомогою лапок (подвійних, одинарних), звичайних та зворотніх.
 
//  3. Як перевірити тип даних змінної в JavaScript?

3. прописати в файлі.js - (console.log(typeof 'тип даних'))
 
//  4. Поясніть чому '1' + 1 = 11.

4. лапки переводять число в string.при виведенні даних в console текс та число складається візуально, і ми отримуємо число
    (у вигляді тексту) = 11.

//  Практичні завдання
//  1. Оголосіть змінну і присвойте в неї число. Перевірте, чи ця змінна має тип "number" і виведіть результат в консоль.

let uNums = 69;
typeof uNums === "number" && console.log(`Ця змінна "number"`); 

//  2. Оголосіть змінну name і присвойте їй ваше ім'я. Оголосіть змінну lastName і присвойте в неї Ваше прізвище.
//  Виведіть повідомлення у консоль у форматі `Мене звати ${ім'я}, ${прізвище}` використовуючи ці змінні.

let firstName = "Nikolay";

let lastName = "Polupan";

console.log(`Мене звати ${firstName} ${lastName}.`);


//  3. Оголосіть змінну з числовим значенням і виведіть в консоль її значення всередині рядка.

let number = 73;

console.log(`В будинку ${number} квартири.`);  



